Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 262803 - dev-util/astyle doesn't respect LDFLAGS
Summary: dev-util/astyle doesn't respect LDFLAGS
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: High QA (vote)
Assignee: Development Tools Team
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: ldflags
  Show dependency tree
 
Reported: 2009-03-17 14:50 UTC by Davide Pesavento
Modified: 2012-03-02 15:28 UTC (History)
2 users (show)

See Also:
Package list:
Runtime testing required: ---
pesa: Bugday+


Attachments
respect LDFLAGS (astyle-1.22-Makefile.diff,1.89 KB, patch)
2010-07-28 12:12 UTC, Kacper Kowalik (Xarthisius) (RETIRED)
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Davide Pesavento gentoo-dev 2009-03-17 14:50:03 UTC
* QA Notice: Files built without respecting LDFLAGS have been detected
 *  Please include the following list of files in your report:
 * /usr/bin/astyle
Comment 1 Kacper Kowalik (Xarthisius) (RETIRED) gentoo-dev 2010-07-28 12:12:17 UTC
Created attachment 240411 [details, diff]
respect LDFLAGS

also forces usage of CXXFLAGS rather than CFLAGS
Comment 2 Kacper Kowalik (Xarthisius) (RETIRED) gentoo-dev 2012-03-02 15:28:51 UTC
Fixed in 1.24